### Hierarchy

- StateService

## Index

### Constructors

- constructor

### Properties

- _actions
- _config
- _state
- _store$
- _type
- createCombinedStore
- createStore
- reducer

### Accessors

- actions
- globalState$
- type
- instance

### Methods

- get
- initStores
- set

## Constructors

### constructor

- new StateService(enforcer: any): StateService

- - Defined in rx/redux/state-service.ts:18

  #### Parameters

  - ##### enforcer: any

  #### Returns StateService

## Properties

### _actions

_actions: any

- Defined in rx/redux/state-service.ts:11

### _config

_config: ConfigService

- Defined in rx/redux/state-service.ts:14

### _state

_state: object

- Defined in rx/redux/state-service.ts:13

#### Type declaration

### _store$

_store$: any

- Defined in rx/redux/state-service.ts:12

### _type

_type: string

- Defined in rx/redux/state-service.ts:15

### createCombinedStore

createCombinedStore: any

- Defined in rx/redux/state-service.ts:17

### createStore

createStore: any

- Defined in rx/redux/state-service.ts:16

### reducer

reducer: any

- Defined in rx/redux/state-service.ts:18

## Accessors

### actions

- get actions(): any

- - Defined in rx/redux/state-service.ts:48

  #### Returns any

### globalState$

- get globalState$(): any

- - Defined in rx/redux/state-service.ts:52

  #### Returns any

### type

- get type(): string
- set type(value: string): void

- - Defined in rx/redux/state-service.ts:56

  #### Returns string

- - Defined in rx/redux/state-service.ts:60

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in rx/redux/state-service.ts:64

  #### Returns any

## Methods

### get

- get(key: string): any

- - Defined in rx/redux/state-service.ts:44

  #### Parameters

  - ##### key: string

  #### Returns any

### initStores

- initStores(): Promise<void>

- - Defined in rx/redux/state-service.ts:31

  #### Returns Promise<void>

### set

- set(key: string, value: any): void

- - Defined in rx/redux/state-service.ts:40

  #### Parameters

  - ##### key: string

  - ##### value: any

  #### Returns void